Create annotation
curl --request POST \
--url https://api.galtea.ai/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "session_123",
"metricId": "metric_123",
"score": 0.75,
"inferenceResultId": "inferenceResult_123",
"reason": "Accurate"
}
'import requests
url = "https://api.galtea.ai/annotations"
payload = {
"sessionId": "session_123",
"metricId": "metric_123",
"score": 0.75,
"inferenceResultId": "inferenceResult_123",
"reason": "Accurate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: 'session_123',
metricId: 'metric_123',
score: 0.75,
inferenceResultId: 'inferenceResult_123',
reason: 'Accurate'
})
};
fetch('https://api.galtea.ai/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/annotations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => 'session_123',
'metricId' => 'metric_123',
'score' => 0.75,
'inferenceResultId' => 'inferenceResult_123',
'reason' => 'Accurate'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/annotations"
payload := strings.NewReader("{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/annotations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/annotations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}"
response = http.request(request)
puts response.read_body{
"id": "annotation_123",
"sessionId": "session_123",
"metricId": "metric_123",
"inferenceResultId": "inferenceResult_123",
"annotatorId": "user_123",
"score": 0.75,
"reason": "Accurate",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Create annotation
Score a session, or one turn of it, on a metric. The caller becomes the annotator. The metricId is a metric id, never a revision id. A Human Evaluation metric is scored on its evaluation instead and answers 400. An annotation belongs to a case (a session, or one turn of it) and a metric, not to an evaluation: every revision of the metric shows it. See Evaluations.
POST
/
annotations
Create annotation
curl --request POST \
--url https://api.galtea.ai/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "session_123",
"metricId": "metric_123",
"score": 0.75,
"inferenceResultId": "inferenceResult_123",
"reason": "Accurate"
}
'import requests
url = "https://api.galtea.ai/annotations"
payload = {
"sessionId": "session_123",
"metricId": "metric_123",
"score": 0.75,
"inferenceResultId": "inferenceResult_123",
"reason": "Accurate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: 'session_123',
metricId: 'metric_123',
score: 0.75,
inferenceResultId: 'inferenceResult_123',
reason: 'Accurate'
})
};
fetch('https://api.galtea.ai/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/annotations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => 'session_123',
'metricId' => 'metric_123',
'score' => 0.75,
'inferenceResultId' => 'inferenceResult_123',
'reason' => 'Accurate'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/annotations"
payload := strings.NewReader("{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/annotations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/annotations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"session_123\",\n \"metricId\": \"metric_123\",\n \"score\": 0.75,\n \"inferenceResultId\": \"inferenceResult_123\",\n \"reason\": \"Accurate\"\n}"
response = http.request(request)
puts response.read_body{
"id": "annotation_123",
"sessionId": "session_123",
"metricId": "metric_123",
"inferenceResultId": "inferenceResult_123",
"annotatorId": "user_123",
"score": 0.75,
"reason": "Accurate",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Authorizations
Headers
Body
application/json
Response
Annotation created successfully. On Prefer: return=minimal, or when the read after the write fails, the answer has no body.